Bug 1294689 - Kie Server 6.2 Client API documentation should be updated
Kie Server 6.2 Client API documentation should be updated
Status: NEW
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Dawn Eisner
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 12:26 EST by William Antônio
Modified: 2016-10-14 10:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker BXMSDOC-146 Major Resolved (RHBZ#1294689) Kie Server 6.2 Client API documentation should be updated 2016-07-08 02:25 EDT

  None (edit)
Description William Antônio 2015-12-29 12:26:55 EST
Document URL: 

https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.2/html/Development_Guide/sect-Running_in_KIE.html#sect-Supported_JBoss_BRMS_Commands

Section Number and Name: 

16.5.6. Available API
16.5.7. Supported JBoss BRMS Commands

Describe the issue: 

The BatchExecutionHelper should not be used against Decision Server 6.2 as mentioned by Maciej on [1];

The use of this class will lead to problem when generating requests - a new approach is required and it is described in this article created by Anton -> [2];

Also, the suggested sample JSON does not work anymore
-----
JSON:

{"batch-execution":{"lookup":"ksession1","commands":[{"insert":{"object":{"org.drools.compiler.test.Person":{"name":"john","age":25}}}},{"fire-all-rules":""}]}} 
-----


Suggestions for improvement: 

* Update the documentation according [2];
* Replace the sample JSON by a working one, which probably should be:


{"batch-execution":{"lookup":"ksession1","commands":[{"insert":{"object":{"org.drools.compiler.test.Person":{"name":"john","age":25}}}},{"fire-all-rules": {} }]}} 

(notice the change in the fire all rules command)

(the JSON above was not tested)


Additional information: 


Links:

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1293736#c4
[2] https://access.redhat.com/solutions/1486613

Note You need to log in before you can comment on or make changes to this bug.